[FIXED link in comments] PSA: Beta launcher cannot update

If you have version 1549039 you will not be able to switch back to the release branch.

We are still investigating a work around.

The beta tier has been rolled back to 1548102, so it should be safe again. Still investigating the plan to unlock updating for those on 1549039

Unfortunately you will need to download and install the launcher again.

https://binaries.eveonline.com/EveLauncher-1549135.276.24.exe

This doesn’t require you to download any eve client files again.